## org.eclipse.emf.cdo.eresource
Interface CDOResource

All Superinterfaces:
  CDOObject, CDOResourceNode, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.resource.Resource

All Known Implementing Classes:
  CDOResourceImpl

    public interface CDOResource

extends CDOResourceNode, org.eclipse.emf.ecore.resource.Resource

A representation of the model object 'CDO Resource'.

See Also:
  `EresourcePackage.getCDOResource()`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource
`org.eclipse.emf.ecore.resource.Resource.Diagnostic, org.eclipse.emf.ecore.resource.Resource.Factory, org.eclipse.emf.ecore.resource.Resource.Internal, org.eclipse.emf.ecore.resource.Resource.IOWrappedException`

Field Summary
`static java.lang.String` `OPTION_SAVE_PROGRESS_MONITOR`

Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode
`ROOT_NAME, ROOT_PATH`

Fields inherited from interface org.eclipse.emf.ecore.resource.Resource
`OPTION_CIPHER, OPTION_SAVE_ONLY_IF_CHANGED, OPTION_SAVE_ONLY_IF_CHANGED_FILE_BUFFER, OPTION_SAVE_ONLY_IF_CHANGED_MEMORY_BUFFER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__TIME_STAMP, RESOURCE__URI, RESOURCE__WARNINGS`

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getContents()` Returns the value of the 'Contents' containment reference list.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource.Diagnostic>` `getErrors()` Returns the value of the 'Errors' attribute list.
`org.eclipse.emf.ecore.resource.ResourceSet` `getResourceSet()` Returns the value of the 'Resource Set' attribute.
`long` `getTimeStamp()` Returns the value of the 'Time Stamp' attribute.
`org.eclipse.emf.common.util.URI` `getURI()` Returns the value of the 'URI' attribute.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource.Diagnostic>` `getWarnings()` Returns the value of the 'Warnings' attribute list.
`boolean` `isExisting()`
`boolean` `isLoaded()` Returns the value of the 'Loaded' attribute.
`boolean` `isModified()` Returns the value of the 'Modified' attribute.
`boolean` `isTrackingModification()` Returns the value of the 'Tracking Modification' attribute.
`void` `setModified(boolean value)` Sets the value of the '`Modified`' attribute
`void` `setResourceSet(org.eclipse.emf.ecore.resource.ResourceSet value)` Sets the value of the '`Resource Set`' attribute.
`void` `setTimeStamp(long value)` Sets the value of the '`Time Stamp`' attribute.
`void` `setTrackingModification(boolean value)` Sets the value of the '`Tracking Modification`' attribute.
`void` `setURI(org.eclipse.emf.common.util.URI value)` Sets the value of the '`URI`' attribute.

Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode
`delete, getFolder, getName, getPath, isRoot, setFolder, setName, setPath`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.resource.Resource
`delete, getAllContents, getEObject, getURIFragment, load, load, save, save, unload`

Field Detail

### OPTION_SAVE_PROGRESS_MONITOR

    static final java.lang.String OPTION_SAVE_PROGRESS_MONITOR

Since:
  2.0

Method Detail

### getResourceSet

    org.eclipse.emf.ecore.resource.ResourceSet getResourceSet()

  Returns the value of the 'Resource Set' attribute.

  If the meaning of the 'Resource Set' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getResourceSet` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'Resource Set' attribute.
  See Also:
    `setResourceSet(ResourceSet)`, `EresourcePackage.getCDOResource_ResourceSet()`

### setResourceSet

    void setResourceSet(org.eclipse.emf.ecore.resource.ResourceSet value)

  Sets the value of the '`Resource Set`' attribute.

  Parameters:
    `value` - the new value of the 'Resource Set' attribute.
  See Also:
    `getResourceSet()`

### getURI

    org.eclipse.emf.common.util.URI getURI()

  Returns the value of the 'URI' attribute.

  If the meaning of the 'URI' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getURI` in interface `CDOResourceNode`
  Specified by:
    `getURI` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'URI' attribute.
  See Also:
    `setURI(URI)`, `EresourcePackage.getCDOResource_URI()`

### setURI

    void setURI(org.eclipse.emf.common.util.URI value)

  Sets the value of the '`URI`' attribute.

  Specified by:
    `setURI` in interface `org.eclipse.emf.ecore.resource.Resource`
  Parameters:
    `value` - the new value of the 'URI' attribute.
  See Also:
    `getURI()`

### getContents

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getContents()

  Returns the value of the 'Contents' containment reference list. The list contents are of type `EObject`.

  If the meaning of the 'Contents' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getContents` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `EresourcePackage.getCDOResource_Contents()`

### isModified

    boolean isModified()

  Returns the value of the 'Modified' attribute.

  If the meaning of the 'Modified' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isModified` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'Modified' attribute.
  See Also:
    `setModified(boolean)`, `EresourcePackage.getCDOResource_Modified()`

### setModified

    void setModified(boolean value)

  Sets the value of the '`Modified`' attribute.

  Specified by:
    `setModified` in interface `org.eclipse.emf.ecore.resource.Resource`
  Parameters:
    `value` - the new value of the 'Modified' attribute.
  See Also:
    `isModified()`

### isLoaded

    boolean isLoaded()

  Returns the value of the 'Loaded' attribute. The default value is `"true"`.

  If the meaning of the 'Loaded' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isLoaded` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'Loaded' attribute.
  See Also:
    `EresourcePackage.getCDOResource_Loaded()`

### isTrackingModification

    boolean isTrackingModification()

  Returns the value of the 'Tracking Modification' attribute.

  If the meaning of the 'Tracking Modification' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isTrackingModification` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'Tracking Modification' attribute.
  See Also:
    `setTrackingModification(boolean)`, `EresourcePackage.getCDOResource_TrackingModification()`

### setTrackingModification

    void setTrackingModification(boolean value)

  Sets the value of the '`Tracking Modification`' attribute.

  Specified by:
    `setTrackingModification` in interface `org.eclipse.emf.ecore.resource.Resource`
  Parameters:
    `value` - the new value of the 'Tracking Modification' attribute.
  See Also:
    `isTrackingModification()`

### getErrors

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource.Diagnostic> getErrors()

  Returns the value of the 'Errors' attribute list. The list contents are of type `Resource.Diagnostic`.

  If the meaning of the 'Errors' attribute list isn't clear, there really should be more of a description here...

  Specified by:
    `getErrors` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'Errors' attribute list.
  See Also:
    `EresourcePackage.getCDOResource_Errors()`

### getWarnings

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.resource.Resource.Diagnostic> getWarnings()

  Returns the value of the 'Warnings' attribute list. The list contents are of type `Resource.Diagnostic`.

  If the meaning of the 'Warnings' attribute list isn't clear, there really should be more of a description here...

  Specified by:
    `getWarnings` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'Warnings' attribute list.
  See Also:
    `EresourcePackage.getCDOResource_Warnings()`

### getTimeStamp

    long getTimeStamp()

  Returns the value of the 'Time Stamp' attribute.

  If the meaning of the 'Time Stamp' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getTimeStamp` in interface `org.eclipse.emf.ecore.resource.Resource`
  Returns:
    the value of the 'Time Stamp' attribute.
  See Also:
    `setTimeStamp(long)`, `EresourcePackage.getCDOResource_TimeStamp()`

### setTimeStamp

    void setTimeStamp(long value)

  Sets the value of the '`Time Stamp`' attribute.

  Specified by:
    `setTimeStamp` in interface `org.eclipse.emf.ecore.resource.Resource`
  Parameters:
    `value` - the new value of the 'Time Stamp' attribute.
  See Also:
    `getTimeStamp()`

### isExisting

    boolean isExisting()

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.